<?php
/**
 * @var Post $model
 */

use app\models\Post;
use app\models\User;

$form = new \itguild\forms\ActiveForm();
$form->beginForm(isset($model) ? "/admin/post/edit/" . $model->id : "/admin/post");

$form->field(class: \itguild\forms\inputs\TextArea::class, name: "content", params: [
    'class' => "form-control",
    'placeholder' => 'Контент',
    'rows' => '10',
    'value' => $model->content ?? ''
])
    ->setLabel("Пост")
    ->render();
$form->field(class: \itguild\forms\inputs\Select::class, name: "user_id", params: [
//$form->field(class: \itguild\forms\inputs\Select::class, name: "username", params: [
    'class' => "form-control",
    'value' => $model->user_id ?? ''
])
    ->setLabel("Пользователи")
    ->setOptions(\app\services\UserService::createUsernameArr())
//    ->setOptions([\app\services\UserService::createIdArr()[74] => \app\services\UserService::createUsernameArr()[1],
//        \app\services\UserService::createUsernameArr()[74],
//        \app\services\UserService::createUsernameArr()[82],])
    ->render();
\app\helpers\Debug::prn(\app\services\UserService::createUsernameArr());

?>
    <div class="row">
        <div class="col-sm-2">
            <?php
            $form->field(\itguild\forms\inputs\Button::class, name: "btn-submit", params: [
                'class' => "btn btn-primary ",
                'value' => 'Отправить',
                'typeInput' => 'submit'
            ])
                ->render();
            ?>
        </div>
        <div class="col-sm-2">
            <?php
            $form->field(\itguild\forms\inputs\Button::class, name: "btn-reset", params: [
                'class' => "btn btn-warning",
                'value' => 'Сбросить',
                'typeInput' => 'reset'
            ])
                ->render();
            ?>
        </div>
    </div>
<?php
$form->endForm();
